/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef DESKTOPFILEMANAGER_H
#define DESKTOPFILEMANAGER_H

#include <QObject>

class KFileItemList;
class DesktopFileManager : public QObject
{
    Q_OBJECT
public:
    explicit DesktopFileManager(QObject *parent = nullptr);

    const QStringList localDesktopFiles() const;

signals:
    void desktopFileAdded(const QString &desktopFile);
    void desktopFileDeleted(const QString &desktopFile);

private:
    void loadLocalDesktopFiles();
    bool appIconCanDisplay(const QString &desktopFile) const;
    void watchDesktopfilePath(const QUrl &url);

private Q_SLOTS:
    void onDesktopfilesAdded(const QUrl &directoryUrl, const KFileItemList &desktopFiles);
    void onDesktopfilesDeleted(const KFileItemList &desktopFiles);

private:
    QStringList m_localDekstopFiles;
};

#endif // DESKTOPFILEMANAGER_H
