/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef ICONPROVIDER_H
#define ICONPROVIDER_H

#include <QObject>

class IconProvider : public QObject
{
    Q_OBJECT
public:
    explicit IconProvider(QObject *parent = nullptr);

    static QString iconIdWithExistedApp(const QString &iconName);
    static QString iconIdWithInstallingApp(const QString &iconName, const QString &desktopFile);
    static QString iconIdWithInstallingAndroidApp(const QString &iconName);
};

#endif // ICONPROVIDER_H
