/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef UTILS_H
#define UTILS_H

#include <QString>
#include <QList>
#include <QPair>

namespace UKUI {

///
/// \brief      fromQListIntToString：将QList<int>转为以逗号分割的字符串
/// \param      QList<int>
/// \return     以逗号分割的字符串
///
QString fromQListIntToString(const QList<int> sequence);

///
/// \brief      fromQListUIntToString：将QList<uint>转为以逗号分割的字符串
/// \param      QList<uint>
/// \return     以逗号分割的字符串
///
QString fromQListUIntToString(const QList<quint32> sequence);

QString fromQListUIntToString(const QList<int> sequence);

///
/// \brief      fromQStringToInt：将QString转为数字
/// \param      layoutString 以*分割的字符串
/// \return
///
QPair<int,int> fromStringToInt(const QString layoutString);

QString translatedName(const QString &sourceName);

// TODO: 以二进制格式存储到数据库

}

#endif // UTILS_H
