#ifndef DBUSASYNCCALL_H
#define DBUSASYNCCALL_H

#include <QDBusConnection>
#include <QDBusPendingReply>
#include <QDebug>
#include "appmanager_interface.h"

namespace Dbus {

void appManagerAsyncCall(ComKylinProcessManagerAppLauncherInterface &interface,
                         const QString &method,
                         const QList<QVariant> &argList)
{
    if (!interface.isValid()) {
        qWarning() << method << "interface not valid" << interface.lastError();
        return;
    }
    QDBusPendingCall async = interface.asyncCallWithArgumentList(method, argList);
    QDBusPendingCallWatcher *watcher = new QDBusPendingCallWatcher(async);
    QObject::connect(watcher, &QDBusPendingCallWatcher::finished, [method](QDBusPendingCallWatcher* call) {
        QDBusPendingReply<> reply = *call;
        if (reply.isError()) {
            qWarning() << method << reply.error();
        }
    });
}
}

#endif // DBUSASYNCCALL_H
