/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQml.Models 2.2
import QtQuick.Window 2.2
import QtQuick.Layouts 1.3
import QtQml 2.12
import org.ukui.tablet 1.0
import "./baseComponent"
import "./LauncherItemViewComponent"
import "."

Item {
    id: eduRoot
    function listViewItemCount() {
        return listView.count
    }

    property var viewMoel: null
    property bool dragEnable: true
    property int groupId: -1
    property real cellSize: Style.widthScaleFactor * 120
    property real cellContentMargin: Style.widthScaleFactor * 65
    property var pageContainer: listView

    signal startDrag(bool start)
    signal containerClicked()
    // 点击分组内的“添加”按钮显示添加应用的界面
    signal showAddAppWindow(int groupId, int pageIndex)
    signal focusStateChanged()

    clip: true
    LauncherListView {
        id: listView
    }

    Component {
        id: listViewItemDelegate
        EduGridView {
            id: gridView
        }
    }

    Component {
        id: gridviewItemDelegate
        EduGridViewDelegate {

        }
    }
}





