/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQuick.Window 2.0
import QtQml.Models 2.2
import QtQuick.Window 2.2
import QtQuick.Layouts 1.3
import QtQml 2.12
import org.ukui.tablet 1.0
import "./baseComponent"
import "./LauncherViewComponent"
import "."

Item {
    id: root
    property var viewMoel: null
    property bool dragEnable: true
    property real cellSize: Style.widthScaleFactor * 130
    property real gridCellHeight: Style.heightScaleFactor * 130
    property real cellContentMargin: Style.widthScaleFactor * 20

    signal startDrag(bool started)
    signal showAddAppWindow(int groupId, int pageIndex)
    signal titleFocusChanged()

    clip: true

    LauncherListView {
        id: listView
        interactive: false
    }

    Component {
        id: listViewItemDelegate
        LauncherGridView {
            id: gridView
            add: Transition { NumberAnimation { properties: "x,y"; duration: 200 } }
            cellWidth: cellSize
            cellHeight: gridCellHeight
        }
    }

    Component {
        id: gridviewItemDelegate
        EduLauncherGridViewDelegate {

        }
    }
}

