/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import org.ukui.tablet 1.0
import "../baseComponent/"

LauncherGridView {
    cellWidth: cellSize
    cellHeight: cellSize
    add: Transition { NumberAnimation { properties: "x,y"; duration: 200 } }
    MouseArea {
        anchors.fill: parent
        z: -1
        onClicked: {
            // do to edit focus
            eduRoot.focusStateChanged()
            modelManager.setItemsInGroupState(LauncherItem.Normal, eduRoot.groupId)
        }
        onPressAndHold: {
            startDrag(true)
            modelManager.setItemsInGroupState(LauncherItem.Editable, eduRoot.groupId)
        }
    }
}
