/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import org.ukui.tablet 1.0
import "../baseComponent"

LauncherGridViewDelegateDropArea {
    width: modelData.columnSpan * cellWidth
    height: modelData.rowSpan * cellHeight

    property int type: modelData.type

    onEntered: {
        console.log("LauncherItemView onEntered",
                    drag.source.pageIndex, pageIndex, modelData.pageIndex, drag.source.visualIndex, visualIndex, dragEnable)
        if (!dragEnable || modelData.type === LauncherItem.AddIcon) {
            return
        }
        if (drag.source.visualIndex === undefined) {
            return
        }
        if (groupAnimationState) {
            return
        }
        if (drag.source.pageIndex !== pageIndex || drag.source.groupId !== tabletRoot.groupId) {
            modelManager.addPlaceholderItem(
                        visualIndex, pageIndex,
                        drag.source.rowSpan,
                        drag.source.columnSpan,
                        tabletRoot.groupId)
            placeholderAdded()
        } else {
            modelManager.moveItem(drag.source.visualIndex, visualIndex, pageIndex, tabletRoot.groupId)
            modelManager.removePlaceholderItem();
        }
    }
    onExited: {
        modelManager.setItemState(LauncherItem.Editable, modelData.id)
    }

    TabletGridViewDelegateItem {
        id: itemRoot
    }
}

