/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12

Item {
    id: itemRoot
    anchors.horizontalCenter: parent.horizontalCenter
    anchors.top: parent.top
    clip: false

    property int visualIndex: 0
    property int pageIndex: 0
    property int rowSpan: 1
    property int columnSpan: 1

    Drag.active: dragMousearea.drag.active
    Drag.source: itemRoot
    Drag.hotSpot.x: itemRoot.width / 2
    Drag.hotSpot.y: itemRoot.height / 2

    Component.onCompleted: {
        if (viewMoel === null) {
            console.warn("AppContainer: The model is null, please assign a model!")
        }
    }
}
